From 3d1ec7bbc8aba94de6b72f77a6a8e0dce9c45322 Mon Sep 17 00:00:00 2001
From: Pierre-Yves Chibon <pingou@pingoured.fr>
Date: Apr 14 2016 18:25:22 +0000
Subject: [PATCH 395/1001] Let's have the edit_url and the widget idx in the panel template


---

diff --git a/hubs/widgets/base.py b/hubs/widgets/base.py
index e784ef1..a842baf 100755
--- a/hubs/widgets/base.py
+++ b/hubs/widgets/base.py
@@ -48,6 +48,9 @@ def AGPLv3(name):
             result['source_url'] = flask.url_for('widget_source', name=name)
             result['widget_url'] = flask.url_for(
                 'widget_render', hub=widget.hub.name, idx=widget.idx)
+            result['edit_url'] = flask.url_for(
+                'widget_edit_get', hub=widget.hub.name, idx=widget.idx)
+            result['widget_idx'] = widget.idx
             return result
 
         return inner

